package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.TagMapper;
import com.zh.project0512.model.CommonWords;
import com.zh.project0512.mapper.CommonWordsMapper;
import com.zh.project0512.model.Tag;
import com.zh.project0512.service.ICommonWordsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2023-02-16
 */
@Service
public class CommonWordsServiceImpl extends ServiceImpl<CommonWordsMapper, CommonWords> implements ICommonWordsService {
    @Autowired
    private CommonWordsMapper commonWordsMapper;
    public void addWords(CommonWords words){
        commonWordsMapper.addWords(words);
    }
    public void updSort(int origin, int current, boolean originHigherCurrent) {
        commonWordsMapper.updSort(origin, current, originHigherCurrent);
    }
}
