package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.TaskTagMapper;
import com.zh.project0512.model.TaskReference;
import com.zh.project0512.mapper.TaskReferenceMapper;
import com.zh.project0512.service.ITaskReferenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
@Service
public class TaskReferenceServiceImpl extends ServiceImpl<TaskReferenceMapper, TaskReference> implements ITaskReferenceService {
    @Autowired
    private TaskReferenceMapper taskReferenceMapper;
    @Override
    public void addGroup(List list,int taskId) {
        taskReferenceMapper.addGroup(list,taskId);
    }
    @Override
    public List<Map> listByTaskId(int id){
        return  taskReferenceMapper.listByTaskId(id);
    }
}
