package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.Rank;
import org.apache.ibatis.annotations.Insert;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface RankMapper extends BaseMapper<Rank> {
    @Insert("<script> " +
        "insert into rank (linkId,type,title,subtitle,value,dataStart,dataEnd,createDate) values\n"+
        "  <foreach collection= 'rankList' item= 'item'  separator=','>\n" +
        "(#{item.linkId},#{item.type},#{item.title},#{item.subtitle},#{item.value},#{item.dataStart},#{item.dataEnd},#{item.createDate})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(List<Map> rankList);
}
