package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zh
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("commonWords")
public class CommonWords extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 标题
     */
    private String title;

    @TableField("creatAt")
    private LocalDateTime creatAt;

    @TableField("updateAt")
    private LocalDateTime updateAt;

    /**
     * 排序权重:数字越小排序靠前
     */
    @TableField("sortWeight")
    private Integer sortWeight;

    /**
     * 是否删除:0否；1是
     */
    @TableField("isDeleted")
    private Integer isDeleted;


}
