package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("taskReference")
public class TaskReference extends Model {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 任务id
     */
    @TableField("taskId")
    private Integer taskId;

    /**
     * 素材id
     */
    @TableField("referenceId")
    private Integer referenceId;

    /**
     * 创建时间
     */
    @TableField("creatAt")
    private LocalDateTime creatAt;

}
