package com.zh.project0512.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 根据角色主键id查询角色权限信息 Vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AdminJurisdictionFBRIVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 菜单主键id
     */
    private Integer id;
    /**
     * 菜单名称
     */
    private String name;
    /**
     * 菜单编码
     */
    private String code;
    /**
     * 是否选中
     */
    private boolean check;
    /**
     * 操作集合
     */
    private List<AdminJurisdictionFBRIOperationVo> operationVoList;
}
