package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.TaskReferenceMapper;
import com.zh.project0512.model.RewardRule;
import com.zh.project0512.mapper.RewardRuleMapper;
import com.zh.project0512.service.IRewardRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
@Service
public class RewardRuleServiceImpl extends ServiceImpl<RewardRuleMapper, RewardRule> implements IRewardRuleService {
    @Autowired
    private RewardRuleMapper rewardRuleMapper;
    @Override
    public void addGroup( int id,RewardRule[] arr) {
        rewardRuleMapper.addGroup(id, arr);
    }
    @Override
    public List listByTemplateId(int id){
        return rewardRuleMapper.listByTemplateId(id);
    }
    public List<Map> listByTaskId(int taskId){
        return rewardRuleMapper.listByTaskId(taskId);
    }
}
