package com.zh.project0512.serviceImpl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.mapper.RewardRuleMapper;
import com.zh.project0512.model.RewardRuleTemplate;
import com.zh.project0512.mapper.RewardRuleTemplateMapper;
import com.zh.project0512.model.Task;
import com.zh.project0512.service.IRewardRuleTemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
@Service
public class RewardRuleTemplateServiceImpl extends ServiceImpl<RewardRuleTemplateMapper, RewardRuleTemplate> implements IRewardRuleTemplateService {
    @Autowired
    private RewardRuleTemplateMapper rewardRuleTemplateMapper;
    @Override
    public List rewardRuleTemplateList(IPage page){
        return rewardRuleTemplateMapper.rewardRuleTemplateList(page);
    }

   public void setDefault(int id){
        rewardRuleTemplateMapper.setDefault(id);
   }
    public RewardRuleTemplate rewardRuleTemplateDetail(int id){
        return rewardRuleTemplateMapper.rewardRuleTemplateDetail(id);
    }
    public IPage<Integer> idList(IPage iPage) {
        return  rewardRuleTemplateMapper.idList(iPage);
    }

    public List<RewardRuleTemplate> rrList(List<Integer> list) {
        return rewardRuleTemplateMapper.rrList(list);
    }
}
