package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.TopicActivity;
import com.zh.project0512.mapper.TopicActivityMapper;
import com.zh.project0512.service.ITopicActivityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Service
public class TopicActivityServiceImpl extends ServiceImpl<TopicActivityMapper, TopicActivity> implements ITopicActivityService {
    @Autowired
    private TopicActivityMapper topicActivityMapper;
    public void updSortWeightPlus(){
        topicActivityMapper.updSortWeightPlus();
    }
    public void updSort(int origin, int current, boolean originHigherCurrent) {
        topicActivityMapper.updSort(origin, current, originHigherCurrent);
    }
}
