package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.UserTask;
import com.zh.project0512.mapper.UserTaskMapper;
import com.zh.project0512.service.IUserTaskService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-27
 */
@Service
public class UserTaskServiceImpl extends ServiceImpl<UserTaskMapper, UserTask> implements IUserTaskService {
    @Autowired
    private UserTaskMapper userTaskMapper;
    public Integer userTaskStatus(int userId,int taskId){
        return userTaskMapper.userTaskStatus(userId, taskId);
    }
}
